QGIS Application - Bug report #20757
crash when closing desktop application
2018-12-08 11:12 PM - ALEC TEBBUTT

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.4.2 Regression?:
Operating System: win 7 Easy fix?:
Pull Request or Patch supplied: Resolution:
Crashes QGIS or corruptsdata:

No
No
duplicate

Copied to github as #: 28577

Description

User Feedback

closing QGIS desktop.

all had worked fine up till then. Initial testing of new installation, loading a few layers and saving the project.

Report Details

Crash ID: 62f1fcd2045780cb9f127836e6b579b8665f3e63
Stack Trace

proj_lpz_dist :

proj_lpz_dist :
QgsCoordinateTransform::transformPolygon :
QgsCoordinateTransform::transformPolygon :
QgsCoordinateTransform::QgsCoordinateTransform :
QHashData::free_helper :
QgsCoordinateTransform::addToCache :
QgsCoordinateTransform::invalidateCache :
QgsApplication::exitQgis :
QgisApp::~QgisApp :
CPLStringList::operator[] :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: commit:22034aa070
Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64
Kernel Type: winnt
Kernel Version: 6.1.7601

Related issues:
Duplicates QGIS Application - Bug report # 20697: QGIS 3.4.2 crashes on exit

Closed

2018-12-03

History

#1 - 2018-12-10 10:09 AM - Giovanni Manghi
- Resolution set to duplicate

2024-05-21

12




- Assignee deleted (Jiirgen Fischer)
- Status changed from Open to Closed
- Category changed from Windows Package to Build/Install

#20697

#2 - 2018-12-10 10:09 AM - Giovanni Manghi
- Duplicates Bug report #20697: QGIS 3.4.2 crashes on exit added

2024-05-21

22



